Bug 1540783 - Console allows editing route host and reports success but silently drops changes
Summary: Console allows editing route host and reports success but silently drops changes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.9.0
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.7.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-01 01:39 UTC by Miciah Dashiel Butler Masters
Modified: 2018-04-13 08:34 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the web console would not correctly update a route hostname in the route editor for users with authority to update custom hosts. This problem has been fixed, and the web console now correctly applies the changes when changing a route's hostname.
Clone Of: 1536340
Environment:
Last Closed: 2018-04-05 09:37:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:37:57 UTC

Comment 1 openshift-github-bot 2018-02-07 19:44:03 UTC
Commits pushed to master at https://github.com/openshift/origin-web-console

https://github.com/openshift/origin-web-console/commit/a6b38013b66f74847ac772f86553233a777a3075
Bug 1540783 - Keep hostname updates in route editor

Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1540783

https://github.com/openshift/origin-web-console/commit/0ea0ca4adf791fd4cef3f978577919392a48f172
Merge pull request #2764 from spadgett/edit-hostname

Automatic merge from submit-queue.

Bug 1540783 - Keep hostname updates in route editor

Comment 2 Samuel Padgett 2018-02-07 20:35:44 UTC
Back-porting to 3.7: https://github.com/openshift/origin-web-console/pull/2784

Comment 3 Samuel Padgett 2018-02-08 01:01:50 UTC
3.8 fix: https://github.com/openshift/origin-web-console/pull/2785

Comment 5 XiaochuanWang 2018-02-22 06:50:05 UTC
Verified on both 3.9 and 3.7. Editing directly from route edit page or yaml page takes effect.

OpenShift Master:         v3.9.0-0.47.0 
OpenShift Web Console:    v3.9.0-0.47.0 

OpenShift Master: v3.7.31

Comment 9 errata-xmlrpc 2018-04-05 09:37:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.